package com.supervision.police.controller;

import com.supervision.common.domain.R;
import com.supervision.police.dto.AnalyseCaseDTO;
import com.supervision.police.service.ModelService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("model")
@RequiredArgsConstructor
public class ModelController {

    private final ModelService modelService;

    /**
     * 分析指标
     * @param analyseCaseDTO
     * @return
     */
    @PostMapping("/analyseCase")
    @Operation(summary = "分析指标")
    public R<?> analyseCase(@RequestBody AnalyseCaseDTO analyseCaseDTO) {
        return modelService.analyseCase(analyseCaseDTO);
    }


    /**
     * 获取指标详情
     * @param caseId 案件id
     * @return
     */
    @GetMapping("/caseScoreDetail")
    @Operation(summary = "案件得分详情功能")
    public R<?> caseScoreDetail( @RequestParam @Parameter(name = "caseId",description = "案件id") String caseId) {

        String detail = modelService.caseScoreDetail(caseId);
        return R.ok(detail);
    }

}
